html, body {
    background-color: rgba(0, 0, 0, 0.55);
}
/* HERO */
.hero {
    min-height: 100vh;
    position: relative;
    overflow: hidden;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;
    min-height: 100vh;
    padding-top: 70px; /* adjust to navbar height */
}

.hero h1 {
    font-size: 2rem;
}

.hero span {
    color: #00f5d4;
}

.hero p {
    margin-top: 20px;
    opacity: 0.8;
}

.hero-bg {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.hero-bg img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    animation: fade 18s infinite;
    filter: brightness(0.6);
}

.hero-bg img:nth-child(1) { animation-delay: 0s; }
.hero-bg img:nth-child(2) { animation-delay: 3s; }
.hero-bg img:nth-child(3) { animation-delay: 6s; }
.hero-bg img:nth-child(4) { animation-delay: 9s; }
.hero-bg img:nth-child(5) { animation-delay: 12s; }

@keyframes fade {
    0%   { opacity: 0; }
    5%   { opacity: 1; }
    25%  { opacity: 1; }
    30%  { opacity: 0; }
    100% { opacity: 0; }
}

.hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.55);
    z-index: 1;
}
.hero h1,
.hero p,
.hero .btn {
    position: relative;
    z-index: 2;
}

/* HERO LAYOUT */
.hero-content {
    position: relative;
    z-index: 2;

    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;
    max-width: 1100px;
    margin: auto;
    padding: 0 40px;
}

/* LEFT SIDE */
.hero-text {
    max-width: 600px;
    text-align: left;
}

.subtitle {
    margin-top: 10px;
    font-size: 1.2rem;
    opacity: 0.8;
}

.description {
    margin-top: 20px;
    font-size: 1rem;
    line-height: 1.6;
    opacity: 0.85;
}

/* RIGHT SIDE IMAGE */
.hero-image img {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 50%;

    border: 3px solid rgba(255,255,255,0.2);
}

.btn {
    display: inline-block;
    margin-top: 30px;
    padding: 12px 30px;
    background: #00f5d4;
    color: #000;
    font-weight: bold;
    border-radius: 30px;
    text-decoration: none;
    transition: 0.3s;
}

.btn:hover {
    transform: translateY(-4px);
}

.qr-section {
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 12px;
}

.qr-section img {
    width: 150px;
    height: 150px;
    object-fit: contain;
}

.qr-section p {
    font-size: 1rem;
    color: #ccc;
    max-width: 200px;
    line-height: 1.3;
}

/* PROJECT SECTION */
.projects {
    padding-left: 80px;
    padding-right: 80px;
    padding-top: 50px;
    padding-bottom: 0px;
}

.projects h2 {
    text-align: center;
    margin-bottom: 50px;
    font-size: 2rem;
}

/* GRID */
.project-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 40px;
}

/* CARD */
.project-card {
    background: rgba(255, 255, 255, 0.05);
    display: flex;
    flex-direction: column; 
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 4px 20px rgba(0,0,0,0.2);
}


.project-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6);
}

.project-card img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    display: block;
}

/* CONTENT */
.project-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: 20px 20px 25px;
}

.project-content h3 {
    margin-bottom: 10px;
}

.project-content p {
    font-size: 0.9rem;
    opacity: 0.8;
    margin-bottom: 15px;
}

.project-hero {
    text-align: center;
    padding: 100px 20px 60px;
}

.project-details {
    max-width: 900px;
    margin: auto;
    padding: 40px 20px 100px;
}

.video-container {
    position: relative;
    padding-bottom: 56.25%; 
    height: 0;
    margin-bottom: 40px;
}

.video-container iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}

.project-description h2 {
    margin-top: 40px;
    margin-bottom: 10px;
}

.project-description ul {
    margin-left: 20px;
}

/* TAGS */
.tags span {
    display: inline-block;
    background: rgba(0, 245, 212, 0.15);
    padding: 6px 12px;
    border-radius: 20px;
    font-size: 0.75rem;
    margin-right: 6px;
    margin-bottom: 6px;
}

.project-link {
    margin-top: auto;
    color: #00f5d4;
    text-decoration: none;
    font-weight: bold;
    padding-top: 30px;
}


/* EXPERIENCE SECTION */
.experience {
    padding: 20px 80px;
}

.experience h2 {
    text-align: center;
    margin-bottom: 50px;
    font-size: 2rem;
}

/* MAKE SECTION WIDER */
.experience-list {
    max-width: 1100px; 
    margin: auto;
}

.experience-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6);
}


.exp-main h3 {
    margin-bottom: 5px;
}

.exp-main h4 {
    font-weight: normal;
    opacity: 0.7;
    margin-bottom: 10px;
}

/* DURATION */
.duration {
    display: inline-block;
    margin-bottom: 15px;

    background: rgba(0, 245, 212, 0.15);
    padding: 6px 12px;
    border-radius: 20px;
    font-size: 0.75rem;
}

/* TEXT */
.exp-main p {
    font-size: 0.95rem;
    opacity: 0.85;
    margin-bottom: 10px;
}

.exp-main ul {
    padding-left: 18px;
    margin-bottom: 15px;
}

.exp-main li {
    font-size: 0.9rem;
    opacity: 0.8;
}


/* CARD */
.experience-card {
    display: flex;
    justify-content: space-between;
    align-items: stretch; 

    background: rgba(255, 255, 255, 0.05);
    padding: 0; 
    border-radius: 12px;
    overflow: hidden; 

    box-shadow: 0 10px 25px rgba(0,0,0,0.3);
    transition: 0.3s;
}

/* LEFT SIDE */
.exp-main {
    flex: 1;
    padding: 30px 40px;
}

/* RIGHT SIDE*/
.exp-side {
    width: 220px; 
    min-height: 100%;
    display: flex;
}

/* LOGO */
.company-logo {
    width: 100%;
    height: 100%;
    object-fit: contain;

    background: rgba(255,255,255,0.05);
    padding: 20px;
}
